import os
from volcenginesdkarkruntime import Ark

client = Ark(
    base_url="https://ark.cn-beijing.volces.com/api/v3",
    api_key="817dff39-5586-4f9b-acba-55004167c0b1",
)


def text_classifer(user_prompt):

    system_prompt = """
            ## 任务：判断输入的文本是否在讲解衣服特性、属性
            ## 背景知识：
            --- 
            **正例：**
            - 这是假两件的款式
            - 我采用的来自澳大利亚进口的美丽诺羊毛是羊毛中的天花板
            - 采用立体裁切，A字版型
            - 100%新疆长绒棉，亲肤透气，久穿不易起球变形。
            - 高腰A字裙版型，腰线提升视觉比例，下摆微蓬显腿细。
            - 超短上衣+低腰裤组合，五五分身材慎选，易显腿短
            --- 
            **反例：** 没有说明衣服属性、特性的具体内容。
            - 看看喜欢的款式。
            - 你可以去搜去问去找羊毛，
            - 对我们来说工艺更难，
            - 顶梁柱面料。
            - 利亚在冬天的招牌面料自然不可能便宜。
            - 今天水洗绵羊毛的这条背心裙以后来一千五只有一条。
            --- 
            ## 输出格式：{"讲解衣服": //<文本是否在讲解衣服特性、属性，取值范围：是、否>}
            ## 要求：必须以JSON格式输出提取的结果
            ## 注意事项：
            - 如果是讲衣服便宜实惠，则输出：{"讲解衣服": "否"}
            - 如果没有讲解出衣服属性、特性的实质内容，则输出：{"讲解衣服": "否"}
        """

    completion = client.chat.completions.create(
        messages = [
            {"role": "system", "content": system_prompt},
            {"role": "user", "content": user_prompt},
        ],
        model="ep-20241018084532-cgm84", # ep-20241018084532-cgm84 deepseek-v3-241226
        temperature = 0.01,
        max_tokens = 200
    )
    return completion.choices[0].message.content



if __name__ == "__main__":

    file_path = "/data/data/luosy/project/oral/data/img_caption/"
    sorted_files = read_jsons_in_order(file_path)

    clips_content = []
    for filename, content in sorted_files:
        clip_content = str(content)
        clips_content.append(clip_content)

    user_prompt = "\n".join(clips_content)
    


    answer = get_answer(user_prompt)

    print(answer)